
 <!-- ШАПКА ДЛЯ КАТЕГОРИЙ -->
[category=1-99] 
[available=cat]
[not-available=lastnews|date|allnews|lastcomments|tags]
<div class="mb-7 rounded-lg">
<div class="md:flex md:items-center md:justify-between md:space-x-5 bg-white p-4 pb-5 rounded-lg">
  <div class="flex items-start space-x-5">
    <div class="flex-shrink-0">
      [category-icon]
	  <div class="relative">
        <img class="h-16 w-16 rounded-full" src="{category-icon}" alt="">
      </div>
	  [/category-icon]
    </div>
	
    <div class="pt-1.5">
      <h1 class="text-2xl font-bold text-gray-900">{category-title}</h1>
	    <p class="text-sm font-normal text-gray-400">
		{catnewscount id="{category-id}"} [declination={catnewscount id="{category-id}"}]стат|ья|ьи|ей[/declination]
		</p>
    </div>
	
	</div>
  <div class="inline-flex absolute right-3 top-0 mt-[35px] space-x-2">
    <a href="#" onclick="$('.tab-pane').toggle();return false;" title="Описание">
	 <button class="inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white w-10 h-7 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">
	<svg xmlns="http://www.w3.org/2000/svg"  class="w-5 h-5" viewBox="0 0 24 24" stroke="#92929d" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round" >
      <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
      <path d="M12 12m-9 0a9 9 0 1 0 18 0a9 9 0 1 0 -18 0"></path>
      <path d="M12 8v8"></path>
    </svg>
     </button>
    </a>
    
	<a href="#sort" data-toggle="tab" title="Фильтр">
	 <button class="inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white w-10 h-7 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">
	 <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" class="w-5 h-5">
     <path fill-rule="evenodd" d="M2.24 6.8a.75.75 0 001.06-.04l1.95-2.1v8.59a.75.75 0 001.5 0V4.66l1.95 2.1a.75.75 0 101.1-1.02l-3.25-3.5a.75.75 0 00-1.1 0L2.2 5.74a.75.75 0 00.04 1.06zm8 6.4a.75.75 0 00-.04 1.06l3.25 3.5a.75.75 0 001.1 0l3.25-3.5a.75.75 0 10-1.1-1.02l-1.95 2.1V6.75a.75.75 0 00-1.5 0v8.59l-1.95-2.1a.75.75 0 00-1.06-.04z" clip-rule="evenodd" fill="#92929d"/>
     </svg>
     </button>
	</a>
	
	<div class="z-[999999] bg-white w-[170px] mx-auto p-3 pl-4 mt-12 rounded-lg text-[#212121] hidden text-[15px] shadow-sm border border-[#525252/.5]" uk-drop="mode: click;pos: bottom-right;animation: uk-animation-slide-bottom-small">
        <span class="space-y-1">
		[sort]<span class="sort_label">сортировать по:</span>{sort}[/sort]
	    </span>
	</div>
	</div>
</div>
<div class="tab-content bg-[#f6f6f6] rounded-b-lg -mt-1">
            <div class="block overflow-hidden">
			<div class="tab-pane  pt-4 px-6 mb-6 text-base border-t border-[#f2f2f2]" id="cat-info"  style="display:none;" data-simplebar>
			{category-description}
			</div>
			</div>
  	</div>  
</div> 
[/not-available]
[/available]
[/category]

 <!-- ШАПКА ДЛЯ LASTNEWS|DATE|ALLNEWS|LASTCOMMENTS|TAGS -->
[available=lastnews|date|allnews|lastcomments|tags]
[not-available=cat]
<div class="mb-7 rounded-lg">
<div class="md:flex md:items-center md:justify-between md:space-x-5 bg-white p-5 pb rounded-lg">
  <div class="flex items-start space-x-5">
   <div class="px-1">
     [page-title] <h1 class="text-2xl font-bold text-gray-900">{page-title}</h1>[/page-title]
	 [available=lastnews]
	 <h1 class="text-2xl font-bold text-gray-900">Новые статьи</h1>
	 [/available]
	 [available=date]
	 <h1 class="text-xl font-bold text-gray-900">Статьи по выбранной дате</h1>
	 [/available]
	 [available=allnews]
	 <h1 class="text-2xl font-bold text-gray-900">Все статьи</h1>
	 [/available]
	 [available=lastcomments]
	 <h1 class="text-2xl font-bold text-gray-900">Последние комментарии</h1>
	 [/available]
	 [available=tags]
	 <h1 class="text-2xl font-bold text-gray-900">#{cloudstag}</h1>
	 [/available]
    </div>
	
	</div>
  <div class="inline-flex absolute right-3 top-0 mt-[22px] space-x-2">
    [not-available=date|tags]
	<a href="#" onclick="$('.tab-pane').toggle();return false;" title="Описание">
	 <button class="inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white w-10 h-7 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">
	<svg xmlns="http://www.w3.org/2000/svg"  class="w-5 h-5" viewBox="0 0 24 24" stroke="#92929d" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round" >
      <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
      <path d="M12 12m-9 0a9 9 0 1 0 18 0a9 9 0 1 0 -18 0"></path>
      <path d="M12 8v8"></path>
    </svg>
     </button>
    </a>
	 [/not-available]
	 
	  [available=tags]
	<a href="#" onclick="$('.tab-pane').toggle();return false;" title="Показать все">
	 <button class="inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white w-10 h-7 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">
	   <svg xmlns="http://www.w3.org/2000/svg" class="w-5 h-5" viewBox="0 0 24 24" stroke="#92929d" fill="none" stroke-width="2" stroke-linecap="butt" stroke-linejoin="round"><line x1="4" y1="9" x2="20" y2="9"></line><line x1="4" y1="15" x2="20" y2="15"></line><line x1="10" y1="3" x2="8" y2="21"></line><line x1="16" y1="3" x2="14" y2="21"></line></svg>
     </button>
    </a>
	 [/available]
    
	[not-available=lastcomments]
	<a href="#sort" data-toggle="tab" title="Фильтр">
	 <button class="inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white w-10 h-7 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">
	 <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" class="w-5 h-5">
     <path fill-rule="evenodd" d="M2.24 6.8a.75.75 0 001.06-.04l1.95-2.1v8.59a.75.75 0 001.5 0V4.66l1.95 2.1a.75.75 0 101.1-1.02l-3.25-3.5a.75.75 0 00-1.1 0L2.2 5.74a.75.75 0 00.04 1.06zm8 6.4a.75.75 0 00-.04 1.06l3.25 3.5a.75.75 0 001.1 0l3.25-3.5a.75.75 0 10-1.1-1.02l-1.95 2.1V6.75a.75.75 0 00-1.5 0v8.59l-1.95-2.1a.75.75 0 00-1.06-.04z" clip-rule="evenodd" fill="#92929d"/>
     </svg>
     </button>
	</a>
	<div class="z-[999999] bg-white w-[170px] mx-auto p-3 pl-4 mt-12 rounded-lg text-[#212121] hidden text-[15px] shadow-sm border border-[#525252/.5]" uk-drop="mode: click;pos: bottom-right;animation: uk-animation-slide-bottom-small">
        <span class="space-y-1">
		[sort]<span class="sort_label">сортировать по:</span>{sort}[/sort]
	    </span>
	</div>
	[/not-available]
	
	
	
	</div>
</div>
<div class="tab-content bg-[#f6f6f6] rounded-b-lg -mt-1">
           <div class="block overflow-hidden">
            <div class="tab-pane pt-4 px-6 mb-6 text-base border-t border-[#f2f2f2]" style="display:none;" id="page-info" data-simplebar>
			 [page-title]{page-description}[/page-title]
			 
			 [available=lastnews]
			  Раздел с последними публикациями сайта, отсортированные по дате написания и поддержкой расширенной фильтрации
			 [/available]
			 
			 [available=allnews]
			  Раздел со всеми публикациями сайта из всех категорий, отсортированные по дате написания и поддержкой расширенной фильтрации
			 [/available]
			 
			 [available=lastcomments]
			  Раздел со всеми комментариями и ответами всех статей, отсортированные по дате написания
			 [/available]
			 
			 [available=tags]
	         <div class="block overflow-hidden !p-0 !m-0">
              <div class="tags">
	           {tags}
	          </div>
             </div>
	         [/available]
			
			</div>
		   </div>
  	</div>  
</div> 
[/not-available]
[/available]


