<div class="overflow-hidden rounded-lg bg-white shadow mb-7">
  <div class="bg-white p-6">
   
    
	
	
	<div class="md:flex md:items-center md:justify-between md:space-x-5">
  <div class="flex items-start space-x-5">
    <div class="flex-shrink-0">
      <div class="avatar relative inline-block uk-animation-scale-up">
	<img class="inline-block h-[3.875rem] w-[3.875rem] rounded-full" src="{foto}">
    [online]<span class="absolute bottom-0 right-0 block h-2 w-2 rounded-full ring-4 ring-green-100 bg-green-500 mb-[2px] mr-[4px] cursor-pointer" title="Активность: {lastdate}"></span>[/online]
	[offline]<span class="absolute bottom-0 right-0 block h-2 w-2 rounded-full ring-4 ring-orange-100 bg-orange-500 mb-[2px] mr-[4px] cursor-pointer" title="Активность: {lastdate}"></span>[/offline]

   </div>
    </div>
    <div class="pt-1.5">
      <h1 class="text-2xl font-bold text-gray-900 flex">
	    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-6 h-6 mt-1">
          <path stroke-linecap="round" d="M16.5 12a4.5 4.5 0 11-9 0 4.5 4.5 0 019 0zm0 0c0 1.657 1.007 3 2.25 3S21 13.657 21 12a9 9 0 10-2.636 6.364M16.5 12V8.25" />
        </svg>{usertitle}
      </h1>
      <p class="text-sm font-normal text-gray-400">[fullname]{fullname}[/fullname][not-fullname]{status}[/not-fullname]</p>
    </div>
  </div>
  <div class="justify-stretch mt-6 flex flex-col-reverse space-y-4 space-y-reverse sm:flex-row-reverse sm:justify-end sm:space-y-0 sm:space-x-3 sm:space-x-reverse md:mt-0 md:flex-row md:space-x-3">
    [not-logged]
	<button type="button" href="#edit_user" data-toggle="tab" title="Настройки профиля" class="inline-flex items-center justify-center rounded-lg border border-gray-300 bg-white px-4 py-2 text-[15px] font-medium text-green-500 shadow-sm hover:bg-gray-50 focus:bg-gray-100">
	<span class="lg:hidden">Настройки</span>
	<svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 hidden lg:block" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
    <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
    <path d="M19.875 6.27a2.225 2.225 0 0 1 1.125 1.948v7.284c0 .809 -.443 1.555 -1.158 1.948l-6.75 4.27a2.269 2.269 0 0 1 -2.184 0l-6.75 -4.27a2.225 2.225 0 0 1 -1.158 -1.948v-7.285c0 -.809 .443 -1.554 1.158 -1.947l6.75 -3.98a2.33 2.33 0 0 1 2.25 0l6.75 3.98h-.033z"></path>
    <path d="M12 12m-3 0a3 3 0 1 0 6 0a3 3 0 1 0 -6 0"></path>
    </svg>
	</button>
    [/not-logged]
	<button type="button" class="inline-flex items-center justify-center rounded-lg border border-gray-300 bg-white px-4 py-2 text-[15px] font-medium text-gray-700 shadow-sm hover:bg-gray-50 focus:border-[#307df0]">{pm}</button>
    <button type="button" class="inline-flex items-center justify-center bg-[#307df0] hover:bg-[#2664bf] active:bg-[#2a6dd1] text-white px-4 py-2 text-[15px] font-medium rounded-lg shadow-sm">{email}</button>
  </div>
</div>
	
	
	
  </div>
  <div class="grid grid-cols-1 divide-y divide-gray-200 border-t border-gray-200 bg-gray-50 sm:grid-cols-3 sm:divide-y-0 sm:divide-x">
   
         <a href="#info_user" data-toggle="tab" class="text-gray-500 hover:text-gray-700 group relative min-w-0 flex-1 overflow-hidden bg-white py-4 px-4 text-base font-normal text-center hover:bg-[#f9f9f9] focus:outline-none focus:bg-[#f6f6f6] focus:text-[#131313]">
	     <span>Информация</span>
         </a>
       [news-num]
	     <a href="#posts_user" data-toggle="tab" class="text-gray-500 hover:text-gray-700 group relative min-w-0 flex-1 overflow-hidden bg-white py-4 px-4 text-base font-normal text-center hover:bg-[#f9f9f9] focus:outline-none focus:bg-[#f6f6f6] focus:text-[#131313]">
         <span>{news-num} [declination={news-num}]стат|ья|ьи|ей[/declination]</span>
         </a>
	   [/news-num]
       [comm-num]
         <a href="#comments_user" data-toggle="tab" class="text-gray-500 hover:text-gray-700 rounded-br-lg group relative min-w-0 flex-1 overflow-hidden bg-white py-4 px-4 text-base font-normal text-center hover:bg-[#f9f9f9] focus:outline-none focus:bg-[#f6f6f6] focus:text-[#131313]">
         <span>{comm-num} [declination={comm-num}]комментар|ий|ия|иев[/declination]</span>
	     </a>
       [/comm-num]
	  
	   [not-news-num]
	     <a data-toggle="tab" class="!text-gray-400 group relative min-w-0 flex-1 overflow-hidden py-4 px-4 text-base font-normal text-center bg-[#f9f9f9]">
         <span> Статей нет </span>
         </a>
	   [/not-news-num]
       [not-comm-num]
         <a data-toggle="tab" class="!text-gray-400 group relative min-w-0 flex-1 overflow-hidden py-4 px-4 text-base font-normal text-center bg-[#f9f9f9]">
         <span> Комментариев нет </span>
	     </a>
       [/not-comm-num]
  
  </div>
</div>



<div class="lg:flex  lg:space-x-8 lg:mx-14">
<div class="space-y-5 flex-shrink-0 lg:w-7/12">

<div class="tab-content mb-5">


       
<div class="overflow-hidden bg-white shadow sm:rounded-lg tab-pane active card" id="info_user">
  <div class="px-4 py-5 sm:px-6">
    <h3 class="text-lg font-medium leading-6 text-gray-900">Подробная информация</h3>
  </div>
  <div class="border-t border-gray-100 px-4 py-5 sm:p-0">
    <dl class="divide-dashed divide-y divide-gray-200">
      [fullname]
	  <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">Полное имя:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{fullname}</dd>
      </div>
	  [/fullname]
	  [land]
      <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">Город:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{land}</dd>
      </div>
	  [/land]
      <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">Регистрация:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{registration}</dd>
      </div>
      <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">Активность:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{lastdate}</dd>
      </div>
      <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">В группе:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{status}</dd>
      </div>
	  <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black/[.4]">Электронная почта:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0"><a href="mailto:{editmail}">{editmail}</a></dd>
      </div>
	  [signature]
	  <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black">Подпись:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{signature}</dd>
      </div>
      [/signature]
	  [info]
	  <div class="py-4 sm:grid sm:grid-cols-3 sm:gap-4 sm:py-5 sm:px-6">
        <dt class="text-sm font-medium text-black">О себе:</dt>
        <dd class="mt-1 text-sm text-black sm:col-span-2 sm:mt-0">{info}</dd>
      </div>
	  [/info]  
    </dl>
  </div>
</div>

<div class="tab-pane" id="posts_user">
<div id="dle-content">
{custom available="userinfo" author="{usertitle}" approve="0" fixed="yes" category="1-99" limit="5" template="short-userinfo" navigation="yes" order="date" sortbyuser="yes"}
</div>
</div>

<div class="tab-pane" id="comments_user">
{customcomments author="{usertitle}" limit="5" template="comments" order="date" navigation="yes"}

</div>


[not-logged]
			<div class="tab-pane card p-4" id="edit_user">
				<!-- Настройки пользователя -->
				<div id="options">
					<div class="addform">
						<ul class="ui-form">
							<li class="form-group">
								<label for="fullname" class="font-medium">Ваше имя</label>
								<input type="text" name="fullname" id="fullname" value="{fullname}" class="wide">
							</li>
							<li class="form-group">
								<label for="email" class="font-medium">Ваш e-mail</label>
								<input type="email" name="email" id="email" value="{editmail}" class="wide" required>
								
								
                <div class="checkbox">{hidemail}</div>
            
							</li>
							<li class="form-group">
								<label for="land" class="font-medium">Место проживания</label>
								<input type="text" name="land" id="land" value="{land}" class="wide">
							</li>
							<li class="form-group" class="font-medium">
								<label class="font-medium">Часовой пояс</label>
								{timezones}
							</li>
							<li class="form-group form-sep"></li>
							<li class="form-group">
								<label for="altpass" class="font-medium">Старый пароль</label>
								<input type="password" name="altpass" id="altpass" class="wide">
							</li>
							<li class="form-group">
								<label for="password1" class="font-medium">Новый пароль</label>
								<input type="password" name="password1" id="password1" class="wide">
							</li>
							<li class="form-group">
								<label for="password2" class="font-medium">Повторите новый пароль</label>
								<input type="password" name="password2" id="password2" class="wide">
							</li>
							<li class="form-group form-sep"></li>
							<li class="form-group">
								<label class="font-medium">Двухфакторная авторизация</label>
								{twofactor-auth}
							</li>
							<li class="form-group form-sep"></li>
							<li class="form-group">
								<label for="image" class="font-medium">Загрузите аватар</label>
								<input type="file" name="image" id="image" class="wide text-sm">
							</li>
							<li class="form-group">
								<input placeholder="Использовать Gravatar" type="text" name="gravatar" id="gravatar" value="{gravatar}" class="wide">
							</li>
							<li class="form-group">
								<div class="checkbox"><input type="checkbox" name="del_foto" id="del_foto" value="yes" /> <label for="del_foto">Удалить аватар</label></div>
							</li>
							<li class="form-group form-sep"></li>
							<li class="form-group">
								<label for="info" class="font-medium">О себе</label>
								<textarea name="info" id="info" rows="5" class="wide">{editinfo}</textarea>
							</li>
							<li class="form-group">
								<label for="signature" class="font-medium">Подпись</label>
								<textarea name="signature" id="signature" rows="3" class="wide">{editsignature}</textarea>
							</li>
							<li class="form-group form-sep"></li>
							<li class="form-group">
								<label for="signature" class="font-medium text-gray-500">Список игнорируемых пользователей:</label>
								{ignore-list}
							</li>
							<li class="form-group form-sep"></li>
							[group=1,2,3]
							<li class="form-group">
								<label for="allowed_ip" class="font-medium">Блокировка по IP</label>
								<textarea placeholder="Примеры: 192.48.25.71 либо маска 129.42.0.0/16 либо со звездами 129.42.*.*" name="allowed_ip" id="allowed_ip" rows="5" class="field wide text-sm">{allowed-ip}</textarea>
							</li>
							[/group]
							
							<li class="form-group font-medium">
							<span class="text-base font-medium">Ссылки на внешние сайты</span><br>
							<span class="text-sm font-normal text-gray-500">Вводите ссылки без https://</span>
								<table class="xfields   text-sm align-middle">
								{xfields}
								
								</table>
							</li>
							<li class="form-group">
								<fieldset>
								 <legend>Привязка аккаунта к социальным сетям:</legend>
									<div class="soc_links">
										[vk]<a href="{vk_url}" target="_blank" class="soc_vk">
											<svg class="icon icon-vk"><use xlink:href="#icon-vk"/></svg>
										</a>[/vk]
										[yandex]<a href="{yandex_url}" target="_blank" class="soc_ya">
											<svg class="icon icon-ya"><use xlink:href="#icon-ya"/></svg>
										</a>[/yandex]
										[facebook]<a href="{facebook_url}" target="_blank" class="soc_fb">
											<svg class="icon icon-fb"><use xlink:href="#icon-fb"/></svg>
										</a>[/facebook]
										[google]<a href="{google_url}" target="_blank" class="soc_gp">
											<svg class="icon icon-gp"><use xlink:href="#icon-gp"/></svg>
										</a>[/google]
										[odnoklassniki]<a href="{odnoklassniki_url}" target="_blank" class="soc_od">
											<svg class="icon icon-od"><use xlink:href="#icon-od"/></svg>
										</a>[/odnoklassniki]
										[mailru]<a href="{mailru_url}" target="_blank" class="soc_mail">
											<svg class="icon icon-mail"><use xlink:href="#icon-mail"/></svg>
										</a>[/mailru]
									</div>
								</fieldset>
							</li>
							<li class="form-group">
								<fieldset>
								 <legend>Список привязанных социальных сетей:</legend>
									{social-list}
								</fieldset>
							</li>
							<li class="form-group">
								<div class="checkbox">{news-subscribe}</div>
							</li>
							<li class="form-group">
								<div class="checkbox">{comments-reply-subscribe}</div>
							</li>
							<li class="form-group">
								<div class="checkbox">{unsubscribe}</div>
							</li>
						[delete]
						<li>Удалить аккаунт</li>
						[/delete]
						</ul>
						
						<div class="form_submit">
							<button class="btn btn-big" name="submit" type="submit"><b>Сохранить</b></button>
							<input name="submit" type="hidden" id="submit" value="submit">
						</div>
					</div>
				</div>
				<!-- / Настройки пользователя -->
			</div>
			[/not-logged]


</div>

</div>

<div class="lg:w-1/3">
	{include file="widgets/sidebar_userinfo.tpl"}
</div>

</div>