<article class="box story shadow">
	<h4 class="font-bold lg:text-2xl mb-4 center py-[15px] rounded-t-lg border-b border-[#f2f2f2] bg-[#f8f8f8] sm:text-xl">{header-title}</h4>
	<div class="box_in">
		<div class="addform">
			<ul class="ui-form">
				<li class="form-group"> <label for="title" class="imp text-lg font-medium text-gray-600">Название поста:</label>
					<div class="relative text-gray-600"> <input type="text" dir="auto" name="title" id="title" value="{title}" maxlength="150" class="block wide px-5 pr-10" required> <button onclick="find_relates(); return false;" class="absolute right-0 top-0 mt-3 lg:mt-2.5 mr-3" title="Найти похожие статьи">
                      <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6 stroke-current opacity-40 hover:opacity-100" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M15 15m-4 0a4 4 0 1 0 8 0a4 4 0 1 0 -8 0" /><path d="M18.5 18.5l2.5 2.5" /><path d="M4 6h16" /><path d="M4 12h4" /><path d="M4 18h4" /></svg>
                      </button> </div> <span id="related_news"></span> </li>
				<li class="form-group"> {category} </li>
				<div class="add_tabs form-group">
					<div class="grid md:grid-cols-3 grid-cols-1 gap-2" uk-switcher="connect: #group-tabs ; animation: uk-animation-slide-right-medium, uk-animation-slide-left-medium"> <a href="#" aria-expanded="false" hidden></a>
						<a href="#" aria-expanded="false">
							<!-- One thumb -->
							<div class="flex justify-between items-center rounded-lg p-4 bg-yellow-500/30 hover:bg-yellow-500/25">
								<div class="flex flex-1 items-center space-x-4">
									<figure class="relative shrink-0 overflow-hidden h-10 w-10 drop-shadow-main"> <img fetchpriority="high" width="160" height="160" decoding="async" data-nimg="1" src="{THEME}/dleimages/add_images/add_image.svg" style="color: transparent;"> </figure>
									<div class="flex-1 text-base font-semibold tracking-wide text-bold"> Изображение статьи </div>
								</div>
								<div class="h-4 w-4 flex items-center justify-center -mt-8 -mr-2" aria-expanded="false"> 
								<svg xmlns="http://www.w3.org/2000/svg" class="stroke-yellow-600" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /></svg>	 
							    </div>
								<div class="bg-white max-w-[300px] mx-auto p-2 mt-12 rounded-lg text-[#212121] hidden text-[15px] shadow-sm border border-[#525252/.5] uk-drop uk-drop-bottom-right" uk-drop="mode: hover;pos: bottom-right;animation: uk-animation-slide-bottom-small" style="left: 460px; top: -7px;"> Загрузите высококачественное изображение для своей статьи, чтобы заинтересовать читателей. </div>
							</div>
						</a>
						<a href="#" aria-expanded="false">
							<!-- Gallery thumb-->
							<div class="flex justify-between items-center rounded-lg p-4 bg-green-500/30 hover:bg-green-500/25">
								<div class="flex flex-1 items-center space-x-4">
									<figure class="relative shrink-0 overflow-hidden h-10 w-10 drop-shadow-main"> <img fetchpriority="high" width="160" height="160" decoding="async" data-nimg="1" src="{THEME}/dleimages/add_images/add_gallery.svg" style="color: transparent;"> </figure>
									<div class="flex-1 text-base font-semibold tracking-wide text-bold"> Галерея изображений </div>
								</div>
								<div class="h-4 w-4 flex items-center justify-center -mt-8 -mr-2" aria-expanded="false"> 
								<svg xmlns="http://www.w3.org/2000/svg" class="stroke-green-600" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /></svg>	 
							    </div>
								<div class="bg-white w-[300px] mx-auto p-2 mt-12 rounded-lg text-[#212121] hidden text-[15px] shadow-sm border border-[#525252/.5] uk-drop uk-drop-bottom-right" uk-drop="mode: hover;pos: bottom-right;animation: uk-animation-slide-bottom-small" style="left: 460px; top: -7px;"> Добавьте подборку интересных изображений, которые будут отображаться в виде галереи вверху вашей статьи. </div>
							</div>
						</a>
						<a href="#" aria-expanded="false">
							<!-- Iframe thumb -->
							<div class="flex justify-between items-center rounded-lg p-4 bg-sky-500/30 hover:bg-sky-500/25">
								<div class="flex flex-1 items-center space-x-4">
									<figure class="relative shrink-0 overflow-hidden h-10 w-10 drop-shadow-main"> <img fetchpriority="high" width="160" height="160" decoding="async" data-nimg="1" src="{THEME}/dleimages/add_images/add_video.svg" style="color: transparent;"> </figure>
									<div class="flex-1 text-base font-semibold tracking-wide text-bold"> Импорт медиафайлов </div>
								</div>
								<div class="h-4 w-4 flex items-center justify-center -mt-8 -mr-2" aria-expanded="false"> 
								<svg xmlns="http://www.w3.org/2000/svg" class="stroke-sky-600" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /><path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" /></svg>	 
							    </div>
								<div class="bg-white w-[300px] mx-auto p-2 mt-12 rounded-lg text-[#212121] hidden text-[15px] shadow-sm border border-[#525252/.5] uk-drop uk-drop-bottom-right" uk-drop="mode: hover;pos: bottom-right;animation: uk-animation-slide-bottom-small" style="left: 460px; top: -7px;"> Импортируйте любой материал (видео, посты, аудио и т.п.) с популярных платформ и социальных сетей через встраивание кода iFrame - <b>< iframe ></b>. </div>
							</div>
						</a>
					</div>
					<div id="group-tabs" class="uk-switcher text-sm mt-4" style="touch-action: pan-y pinch-zoom;">
						<div></div>
						<div class="block w-full center rounded-lg border-2 border-dashed border-gray-300 bg-gray-50 p-6"> [xfinput_poster_one] </div>
						<div class="block w-full center rounded-lg border-2 border-dashed border-gray-300 bg-gray-50 p-6"> [xfinput_gallery] </div>
						<div class="block w-full center rounded-lg border-2 border-dashed border-gray-300 bg-gray-50 p-6"> [xfinput_iframes] </div>
					</div>
				</div> [allow-shortstory]
				<li class="form-group"> <label for="short_story" class="imp text-lg font-medium text-gray-600">Содержание поста:</label> [not-wysywyg]
					<div class="bb-editor"> {bbcode} <textarea name="short_story" id="short_story" onfocus="setFieldName(this.name)" rows="10" class="wide" required>{short-story}</textarea> </div> [/not-wysywyg] {shortarea} </li> [/allow-shortstory] [allow-fullstory]
				<li class="form-group"> <label for="full_story" class="text-lg font-medium text-gray-600">Развёрнутое содержание поста:</label> [not-wysywyg]
					<div class="bb-editor"> {bbcode} <textarea name="full_story" id="full_story" onfocus="setFieldName(this.name)" rows="12" class="wide">{full-story}</textarea> </div> [/not-wysywyg] {fullarea} </li> [/allow-fullstory]
				<li class="form-group"> <label><a href="#" onclick="$('.addvote').toggle();return false;" class="py-2 px-6 border rounded-lg my-2">Добавить опрос</a></label> </li>
				<li class="form-group addvote" style="display:none;"> <label for="vote_title">Заголовок опроса</label> <input type="text" name="vote_title" value="{votetitle}" class="wide" /> </li>
				<li class="form-group addvote" style="display:none;"> <label for="frage">Вопрос</label> <input type="text" name="frage" value="{frage}" class="wide" /> </li>
				<li class="form-group addvote" style="display:none;"> <label for="vote_body">Список ответов</label> <textarea name="vote_body" rows="5" class="wide p-3" placeholder="Каждая новая строка является новым вариантом ответа">{votebody}</textarea><br /><label><input type="checkbox" name="allow_m_vote" value="1" {allowmvote}> Разрешить выбор нескольких вариантов</label> </li>
				<li class="form-group"> <label class="text-lg font-medium text-gray-600">Хештеги:</label> <input type="text" id="tags" name="tags" maxlength="150" class="tokenfield wide" autocomplete="on"> <span class="text-gray-400 text-xs">Через запятую или Enter</span> </li> [group=1]
				<li class="form-group flex flex-row"> <label class="text-lg font-medium text-gray-600 basis-1/2 py-2">Выделить статью:</label> <select class="basis-1/2" name="xfield[mark]" id="mark">
					   <option value="0"> Не выделять</option>
                       <option value="1"> Жёлтым</option>
                       <option value="2"> Зелёным</option>
                       <option value="3"> Синим</option>
                       <option value="4"> Красным</option>
                       </select> </li> [/group]
				<li class="form-group">
					<div class="add_checkboxs"> <label><input type="checkbox" name="allow_comm" value="1" checked="checked">Разрешить комментарии</label> <label><input type="checkbox" name="allow_main" value="1" checked="checked">Публиковать на главной</label> <label><input type="checkbox" name="approve" value="1" checked="checked">Опубликовать на сайте</label> <label><input type="checkbox" name="allow_rating" value="1" checked="checked">Разрешить рейтинг статьи</label> [group=1] <label><input type="checkbox" name="news_fixed" value="1">Зафиксировать на сайте</label> [/group] </div>
				</li> [recaptcha]
				<li class="form-group">{recaptcha}</li> [/recaptcha] [question]
				<li class="form-group"> <label for="question_answer">{question}</label> <input placeholder="Введите ответ" type="text" name="question_answer" id="question_answer" class="wide" required> </li> [/question] </ul>
			<p style="margin: 20px 0 0 0;" class="grey"><span style="color: #e85319">*</span> — поля отмеченные звездочкой обязательны для заполнения.</p>
			<div class="form_submit"> [sec_code]
				<div class="c-captcha"> {sec_code} <input placeholder="Повторите код" title="Введите код указанный на картинке" class="!w-[150px]" type="text" name="sec_code" id="sec_code" required> </div> [/sec_code] <button class="btn btn-big" type="submit" name="add">Разместить</button> <button class="btn-border btn-big" onclick="preview()" type="submit" name="nview">Предпросмотр</button> </div>
		</div>
	</div>
</article>
<link href="{THEME}/js/select/slimselect.css" rel="stylesheet">
<link href="{THEME}/js/select/tokenfield.css" rel="stylesheet">
<script src="{THEME}/js/select/slimselect.min.js"></script>
<script src="{THEME}/js/select/tokenfield.js"></script>