<div class="comment hover:shadow" id="{comment-id}">
  <div class="flex items-center justify-between pb-3">
    <div class="flex flex-1 items-center space-x-4">
      <div class="avatar !mr-0">[profile]<span class="cover" style="background-image: url({foto});">{login}</span>[/profile] [online]<span class="absolute bottom-0 right-0 mb-[2px] mr-[4px] block h-1.5 w-1.5 cursor-pointer rounded-full bg-green-500 ring-4 ring-green-100" title="{lastdate}"></span>[/online]</div>

      <div class="flex-1 text-[15px] font-bold leading-[22px]">
        <span class="hover:text-black/[.72]">
          [profile] [fullname]
          <a href="#" onclick="ShowProfile('{login}', '{profile-link}', '0'); return false;"> {fullname} </a>
          [/fullname] [not-fullname]{author}[/not-fullname] [/profile]
        </span>
        <div class="flex cursor-default items-center space-x-2 text-[13px] font-normal leading-[18px] text-gray-500">{date}</div>
      
	  
	  </div>
    </div>
	[childrencomments]
	<div class="mr-1.5 cursor-pointer text-gray-300 hover:text-gray-500" title="Ответ пользователю: {name_for_answer}">
	<svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 5l0 14" /><path d="M16 9l-4 -4" /><path d="M8 9l4 -4" /></svg>
	</div>
	[/childrencomments]
    [news-author]
    <div class="mr-1.5 rounded-full bg-yellow-100 p-1.5 text-yellow-600 cursor-pointer" title="Автор статьи">
	<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.6" stroke="currentColor" class="w-4 h-4">
      <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 6a3.75 3.75 0 11-7.5 0 3.75 3.75 0 017.5 0zM4.501 20.118a7.5 7.5 0 0114.998 0A17.933 17.933 0 0112 21.75c-2.676 0-5.216-.584-7.499-1.632z" />
    </svg>
    </div>
    [/news-author]
    <div>
      <div class="mr-1 flex cursor-pointer items-center justify-center">
        <svg xmlns="http://www.w3.org/2000/svg" class="h-[29px] w-[29px] rounded-full stroke-black p-[4px] opacity-[.85] hover:bg-[#f2f2f2] hover:stroke-gray-500 hover:opacity-[1]" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
          <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
          <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
          <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
          <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
        </svg>
      </div>

      <div class="z-[10] mx-auto mt-12 hidden w-[170px] rounded-lg border border-[#525252/.5] bg-white p-2 text-[15px] text-[#212121] shadow-sm" uk-drop="mode: hover;pos: bottom-right;animation: uk-animation-slide-bottom-small">
        <ul class="space-y-1">
		  [available=userinfo]
          <a href="{news-link}"><li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Смотреть в посте</li></a>
		  [/available] [fast]
          <li onclick="$('#comm_add').toggle();return false;" class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Цитировать</li>
          [/fast] [complaint]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Пожаловаться</li>
          [/complaint] [not-group=5] [com-edit]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Редактировать</li>
          [/com-edit] [com-del]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Удалить</li>
          [/com-del] [/not-group]
        </ul>
      </div>
    </div>
  </div>

  <div class="com_content">
    [available=lastcomments|search]
    <h4 class="title text-xl font-medium">{news_title}</h4>
    [/available]
    <div class="text share-content hyphens-auto">{comment}</div>
    [images]
    <div class="relative my-3">
       <div class="absolute inset-0 flex items-center" aria-hidden="true">
        <div class="w-full border-t border-black opacity-5"></div>
      </div>
     <div class="relative flex justify-center">
      <span class="bg-white px-2 text-gray-500" title="Изображения">
      <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4 text-black opacity-25" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
      <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
      <path d="M15 8h.01"></path>
      <path d="M3 6a3 3 0 0 1 3 -3h12a3 3 0 0 1 3 3v12a3 3 0 0 1 -3 3h-12a3 3 0 0 1 -3 -3v-12z"></path>
      <path d="M3 16l5 -5c.928 -.893 2.072 -.893 3 0l5 5"></path>
      <path d="M14 14l1 -1c.928 -.893 2.072 -.893 3 0l3 3"></path>
      </svg>
      </span>
     </div>
    </div>
    <div class="clrfix">{images}</div>
    [/images] [signature]
	
	 <div class="relative my-3">
       <div class="absolute inset-0 flex items-center" aria-hidden="true">
        <div class="w-full border-t border-black opacity-5"></div>
      </div>
     <div class="relative flex justify-center">
      <span class="bg-white px-2 text-gray-500" title="Подпись">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" class="h-4 w-4 text-black opacity-25">
  <path stroke-linecap="round" stroke-linejoin="round" d="M7.864 4.243A7.5 7.5 0 0119.5 10.5c0 2.92-.556 5.709-1.568 8.268M5.742 6.364A7.465 7.465 0 004.5 10.5a7.464 7.464 0 01-1.15 3.993m1.989 3.559A11.209 11.209 0 008.25 10.5a3.75 3.75 0 117.5 0c0 .527-.021 1.049-.064 1.565M12 10.5a14.94 14.94 0 01-3.6 9.75m6.633-4.596a18.666 18.666 0 01-2.485 5.33" />
</svg>


      </span>
     </div>
    </div>
    <div class="signature">{signature}</div>
    [/signature]
  </div>

  <div class="com_foot flex space-x-3">
    [rating-type-3]
    <div class="flex items-center space-x-0.5">
      [rating-plus]
      <div title="Лайк">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" class="h-[28px] w-[28px] rounded-full stroke-[#131313] p-[4px] opacity-[.72] hover:bg-green-100 hover:stroke-green-600 hover:opacity-[1]">
          <path stroke-linecap="round" stroke-linejoin="round" d="M21 8.25c0-2.485-2.099-4.5-4.688-4.5-1.935 0-3.597 1.126-4.312 2.733-.715-1.607-2.377-2.733-4.313-2.733C5.1 3.75 3 5.765 3 8.25c0 7.22 9 12 9 12s9-4.78 9-12z" />
        </svg>
      </div>
      [/rating-plus]
      <div class="text-sm font-semibold">{rating}</div>
    </div>
    [/rating-type-3] 
	[reply]
    <div class="flex items-center space-x-0.5" onclick="$('#comm_add').toggle();return false;" title="Ответить">
      <svg xmlns="http://www.w3.org/2000/svg" class="!h-[28px] !w-[28px] rounded-full stroke-[#131313] p-[2px] opacity-[.6] hover:bg-[#f2f2f2] hover:stroke-gray-500 hover:opacity-[1]" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
        <path d="M15 14l4 -4l-4 -4"></path>
        <path d="M19 10h-11a4 4 0 1 0 0 8h1"></path>
        <span class="text-[15px] font-medium hover:opacity-[.72]">ответить</span>
      </svg>
    </div>
    [/reply]

    <div class="!ml-4 flex !h-[28px] !w-[28px] items-center space-x-0.5 pt-0.5 hidden sm:flex" title="Выделить">{mass-action}</div>

    [rating-type-3]
    <div class="flex flex-1 items-center justify-end space-x-0.5">
      [rating-minus]
      <div title="Дизлайк">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round" class="h-[28px] w-[28px] rounded-full stroke-[#131313] stroke-neutral-700 p-[4px] opacity-[.72] hover:bg-red-100 hover:stroke-red-500 hover:opacity-[1]">
          <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
          <path d="M15 4v8h3.586a1 1 0 0 1 .707 1.707l-6.586 6.586a1 1 0 0 1 -1.414 0l-6.586 -6.586a1 1 0 0 1 .707 -1.707h3.586v-8a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1z"></path>
        </svg>
      </div>
      [/rating-minus]
    </div>
    [/rating-type-3]
  </div>
</div>

<script src="{THEME}/js/select/slimselect.min.js"></script>
<link href="{THEME}/js/select/slimselect.css" rel="stylesheet">

