<!DOCTYPE html>
<html lang="ru">

<head> {headers}
	<meta name="HandheldFriendly" content="true">
	<meta name="format-detection" content="telephone=no">
	<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, width=device-width">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="default">
	<link rel="shortcut icon" href="{THEME}/images/Next-mobile.png">
	<link rel="apple-touch-icon" href="{THEME}/images/Next-mobile.png">
	<link rel="apple-touch-icon" sizes="76x76" href="{THEME}/images/Next-mobile.png">
	<link rel="apple-touch-icon" sizes="120x120" href="{THEME}/images/Next-mobile.png">
	<link rel="apple-touch-icon" sizes="152x152" href="{THEME}/images/Next-mobile.png">
	<link rel="stylesheet" href="{THEME}/css/engine.css">
	<link rel="stylesheet" href="{THEME}/css/styles.css">
	<!-- CSS
    ================================================== -->
	<link rel="stylesheet" href="{THEME}/css/next.css">
	<link rel="stylesheet" href="{THEME}/css/uikit.css">
	<script src="https://cdn.tailwindcss.com/"></script>	
</head>

<body>
	<div id="wrapper">
		<!-- Header - (шапка сайта) -->
		<header>
			<div class="header_wrap">
				<div class="header_inner mcontainer">
					<div class="left_side"> 
					{include file="modules/header/left_header.tpl"} 
					</div> 
					{include file="modules/header/search_header.tpl"}
					<div class="right_side"> {login} </div>
				</div>
			</div>
		</header>
		<!-- SIDE_NENU - (вертикальное меню слева) -->
		<div class="sidebar">
			<div class="sidebar_inner" data-simplebar> 
			{include file="modules/side_menu/side_navigation.tpl"} 
			{include file="modules/side_menu/side_categories.tpl"} 
			{include file="modules/side_menu/side_footer.tpl"} 
			</div>
			<!-- sidebar overly for mobile - (боковая панель для моб.) -->
			<div class="side_overly" uk-toggle="target: #wrapper ; cls: is-collapse is-active"></div>
		</div>
		<!-- / SIDE_NENU -->
		<!-- Main Contents - (Основной контент)-->
		<div class="main_content">
			<div class="mcontainer"> 
			[not-available=showfull|userinfo|addnews|stats|search]
				<div class="lg:flex lg:space-x-12">
					<div class="lg:w-2/3 flex-shirink-0 block">
						<div class="content_top"> 
						{include file="modules/page_title.tpl"} 
						</div> 
						{info}
						<!-- Блок Топ за день на главной -->
						[available=main]
						{include file="modules/block_popular/block_pop.tpl"} 
						[/available]
						<!-- / Блок Топ за день на главной -->
						<div class="stories"> 
						{content} 
						</div>
					</div>
					<div class="lg:block lg:w-1/3 block hidden">
						<!-- Сайдбар - (Правая боковая панель)-->
						{include file="widgets/sidebar_right_default.tpl"} 
					</div>
					<!-- / Сайдбар - (Правая боковая панель)-->
				</div> 
			[/not-available] 
			[available=showfull|userinfo|addnews|stats|search] 
			{info} {content} 
			[/available] 
			</div>
		</div>
	</div> 

	{include file="js/imports.tpl"}  
[script] 
$.get("{THEME}/images/sprite.svg", function(data)
{
	var div = document.createElement("div");
	div.innerHTML = new XMLSerializer().serializeToString(data.documentElement);
	document.body.insertBefore(div, document.body.childNodes[0]);
});
[/script]
	{AJAX} 
	
</body>
</html>