<article class="box shadow">
	<div class="font-medium text-xl p-[4%] border-b border-[#f2f2f2]"> Личные сообщения </div>
	<div class="py-6 px-4">
	
		<div class="pm-box">
			<nav id="pm-menu">
				[inbox]<span>Входящие</span>[/inbox]
				[outbox]<span>Отправленные</span>[/outbox]
				[new_pm]<span>Написать новое сообщение</span>[/new_pm]
			</nav>
			<div class="pm_status">
				{pm-progress-bar}
				{proc-pm-limit} % / ({pm-limit} сообщений)
			</div>
		</div>
		[pmlist]
		<div class="pmlist">
			{pmlist}
		</div>
		[/pmlist]
		[newpm]
		<h4 class="heading text-lg font-medium mb-2">Создать сообщение</h4>
		<div class="addform addpm">
			<ul class="ui-form">
				<li class="form-group combo">
					<div class="combo_field">
						<input placeholder="Имя адресата" type="text" name="name" value="{author}" class="wide" required>
					</div>
					<div class="combo_field">
						<input placeholder="Тема сообщения" type="text" name="subj" value="{subj}" class="wide" required>
					</div>
				</li>
				<li id="comment-editor">{editor}</li>
				<li><input type="checkbox" id="outboxcopy" name="outboxcopy" value="1" /> <label for="outboxcopy">Сохранить сообщение в папке "Отправленные"</label></li>  
			[recaptcha]
				<li>{recaptcha}</li>
			[/recaptcha]
			[question]
				<li class="form-group">
					<label for="question_answer">Вопрос: {question}</label>
					<input placeholder="Ответ" type="text" name="question_answer" id="question_answer" class="wide" required>
				</li>
			[/question]
			</ul>
			<div class="form_submit">
				[sec_code]
					<div class="c-captcha">
						{sec_code}
						<input placeholder="Повторите код" title="Введите код указанный на картинке" type="text" name="sec_code" id="sec_code" required>
					</div>
				[/sec_code]
				<button class="bg-[#307df0] hover:bg-[#2664bf] active:bg-[#2a6dd1] text-white inline-flex items-center px-4 py-2 text-[16px] font-medium rounded-lg" type="submit" name="add"><b>Отправить</b></button>
				<button class="border border-gray-200 bg-white hover:bg-gray-100 active:bg-gray-200 text-black inline-flex items-center px-4 py-2 text-[16px] font-medium rounded-lg" type="button" onclick="dlePMPreview()">Предпросмотр</button>
			</div>
		</div>
		[/newpm]
	</div>
	
	[readpm]
	<div class="comment hover:shadow border-t border-gray-100 !rounded-t-none" id="{comment-id}">
  <div class="flex items-center justify-between pb-3">
    <div class="flex flex-1 items-center space-x-4">
      <div class="avatar !mr-0"><span class="cover" style="background-image: url({foto});">{login}</span> [online]<span class="absolute bottom-0 right-0 mb-[2px] mr-[4px] block h-1.5 w-1.5 cursor-pointer rounded-full bg-green-500 ring-4 ring-green-100" title="{lastdate}"></span>[/online]</div>

      <div class="flex-1 text-[15px] font-bold leading-[22px]">
        <span class="hover:text-black/[.72]">
           {author}
        </span>
        <div class="flex cursor-default items-center space-x-2 text-[13px] font-normal leading-[18px] text-gray-500">{date}</div>
      </div>
    </div>
    
    <div>
      <div class="mr-1 flex cursor-pointer items-center justify-center">
        <svg xmlns="http://www.w3.org/2000/svg" class="h-[29px] w-[29px] rounded-full stroke-black p-[4px] opacity-[.85] hover:bg-[#f2f2f2] hover:stroke-gray-500 hover:opacity-[1]" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
          <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
          <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
          <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
          <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
        </svg>
      </div>

      <div class="z-[10] mx-auto mt-12 hidden w-[170px] rounded-lg border border-[#525252/.5] bg-white p-2 text-[15px] text-[#212121] shadow-sm" uk-drop="mode: hover;pos: bottom-right;animation: uk-animation-slide-bottom-small">
        <ul class="space-y-1">
          [reply]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Ответить</li>
          [/reply] [ignore]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Игнорировать</li>
          [/ignore] [complaint]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Жалоба</li>
          [/complaint] [del]
          <li class="flex items-center rounded-md px-3 py-1.5 hover:bg-[#f2f2f2] hover:text-[#131313]">Удалить</li>
          [/del]
        </ul>
      </div>
    </div>
  </div>

  <div class="com_content">
    <h4 class="title text-xl font-medium">{subj}</h4>
    <div class="text share-content hyphens-auto">{text}</div>
    [signature]
	
	 <div class="relative my-3">
       <div class="absolute inset-0 flex items-center" aria-hidden="true">
        <div class="w-full border-t border-black opacity-5"></div>
      </div>
     <div class="relative flex justify-center">
      <span class="bg-white px-2 text-gray-500" title="Подпись">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" class="h-4 w-4 text-black opacity-25">
           <path stroke-linecap="round" stroke-linejoin="round" d="M7.864 4.243A7.5 7.5 0 0119.5 10.5c0 2.92-.556 5.709-1.568 8.268M5.742 6.364A7.465 7.465 0 004.5 10.5a7.464 7.464 0 01-1.15 3.993m1.989 3.559A11.209 11.209 0 008.25 10.5a3.75 3.75 0 117.5 0c0 .527-.021 1.049-.064 1.565M12 10.5a14.94 14.94 0 01-3.6 9.75m6.633-4.596a18.666 18.666 0 01-2.485 5.33" />
      </svg>
      </span>
     </div>
    </div>
    <div class="signature">{signature}</div>
    [/signature]
  </div>

  
</div>
[/readpm]	
	
	
	
	
	
	
	
	
</article>