

  <div class="flex flex-col ">
  
  <div class="rounded-lg bg-white p-4 shadow">
	
	<div class="bg-white pb-4">
    <div class="sm:flex sm:items-center sm:justify-between">
      <div class="sm:flex sm:space-x-5">
        <div class="flex-shrink-0">
          
		            <svg xmlns="http://www.w3.org/2000/svg" class="mx-auto h-16 w-16 fill-green-500" viewBox="0 0 24 24" fill="none">
                     <path d="M15.5 7.5C15.5 9.433 13.933 11 12 11C10.067 11 8.5 9.433 8.5 7.5C8.5 5.567 10.067 4 12 4C13.933 4 15.5 5.567 15.5 7.5Z" fill="green-600"/>
                     <path opacity="0.5" d="M19.5 7.5C19.5 8.88071 18.3807 10 17 10C15.6193 10 14.5 8.88071 14.5 7.5C14.5 6.11929 15.6193 5 17 5C18.3807 5 19.5 6.11929 19.5 7.5Z"/>
                     <path opacity="0.5" d="M4.5 7.5C4.5 8.88071 5.61929 10 7 10C8.38071 10 9.5 8.88071 9.5 7.5C9.5 6.11929 8.38071 5 7 5C5.61929 5 4.5 6.11929 4.5 7.5Z"/>
                     <path d="M18 16.5C18 18.433 15.3137 20 12 20C8.68629 20 6 18.433 6 16.5C6 14.567 8.68629 13 12 13C15.3137 13 18 14.567 18 16.5Z"/>
                     <path opacity="0.5" d="M22 16.5C22 17.8807 20.2091 19 18 19C15.7909 19 14 17.8807 14 16.5C14 15.1193 15.7909 14 18 14C20.2091 14 22 15.1193 22 16.5Z"/>
                     <path opacity="0.5" d="M2 16.5C2 17.8807 3.79086 19 6 19C8.20914 19 10 17.8807 10 16.5C10 15.1193 8.20914 14 6 14C3.79086 14 2 15.1193 2 16.5Z"/>
                    </svg>
		
		</div>
        <div class="mt-2 text-center sm:mt-0 sm:pt-3 sm:text-center">
          <p class="text-2xl font-bold text-gray-900 sm:text-3xl">Пользователи сайта</p>
        </div>
      </div>
     
    </div>
  </div>

	
	<form class="" method="get">
	   <input type="hidden" name="do" value="users" />
        <div class="relative mb-8 w-full flex  items-center justify-between rounded-md">
          <svg class="absolute left-3  lg:top-3 top-3.5 block h-5 w-5 text-gray-400" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <circle cx="11" cy="11" r="8" class=""></circle>
            <line x1="21" y1="21" x2="16.65" y2="16.65" class=""></line>
          </svg>
          <input type="text" name="login" value="{login}" class="!text-base h-12 !w-full cursor-text rounded-lg border !border-gray-200 bg-gray-100 py-4 !pr-6 !pl-12 outline-none focus:!border-blue-500 focus:ring focus:ring-blue-200 focus:ring-opacity-50" placeholder="Найти по логину" />
		</div>

        <div class="block_filter_user grid grid-cols-2 gap-4 md:grid-cols-2 lg:grid-cols-2 xl:grid-cols-2" style="display: none;">
          
		  <div class="flex flex-col">
		    <label for="name" class="text-black opacity-[.6] font-medium text-base">Количество:</label>
            <select name="count" id="count" class="h-10 mt-0.5 block w-full rounded-lg rounded-md border border-gray-200 outline-none focus:border-blue-500 focus:ring focus:ring-blue-200 focus:ring-opacity-50">
		    <option value="">--</option>
			{count}
		    </select>
	      </div>
		  
		  <div class="flex flex-col">
		    <label for="name" class="text-black opacity-[.6] font-medium text-base">Направление:</label>
            <select name="order" id="order" class="h-10 mt-0.5 block w-full rounded-lg rounded-md border border-gray-200 outline-none focus:border-blue-500 focus:ring focus:ring-blue-200 focus:ring-opacity-50">
			<option value="">--</option>
			{order}
		    </select>
          </div>

          <div class="flex flex-col">
		    <label for="name" class="text-black opacity-[.6] font-medium text-base">Сортировка:</label>
            <select name="sort" id="sort" class="h-10 mt-0.5 block w-full rounded-lg rounded-md border border-gray-200 outline-none focus:border-blue-500 focus:ring focus:ring-blue-200 focus:ring-opacity-50">
			<option value="">--</option>
			{sort}
		    </select>
		  </div>

          <div class="flex flex-col">
		    <label for="name" class="text-black opacity-[.6] font-medium text-base">Группа:</label>
            <select name="usergroups" id="usergroups" class="h-10 mt-0.5 block w-full rounded-lg rounded-md border border-gray-200 outline-none focus:border-blue-500 focus:ring focus:ring-blue-200 focus:ring-opacity-50">
			<option value="">--</option>
			{usergroups}
		  </select></div>
         
        </div>

        <div class="flex justify-between">
       <div class="flex">
	      <input type="submit" class="!bg-[#307df0] hover:!bg-[#2664bf] active:!bg-[#2a6dd1] !text-white focus:!text-white items-center !px-4 !h-[34px] !text-base font-medium rounded-lg" value="Найти"/>
          <a class="btn_filter_user ml-2 w-9 py-2 h-[34px] inline-flex items-center justify-center transition-colors duration-150 rounded-lg border border-gray-200  bg-white shadow-sm hover:bg-gray-50 opacity-[.7] hover:opacity-[.9]  focus:border-[#307df0]" href="#"> <img src="{THEME}/dleimages/filter/filter.svg"  title="Фильтр" width="18px" height="18px"> </a>
		 </div>
		
       <div class="py-2 font-medium">{numbers}</div>
  

	</div>
	 </form>
	  </div>
</div>



[script]
$(document).ready(function(){
	$('.btn_filter_user').click(function(){
		$('.block_filter_user').slideToggle(300, function(){
			if ($(this).is(':hidden')) {
				$('.btn_filter_user').html('<img src="{THEME}/dleimages/filter/filter-down.svg"  title="Показать фильтр" width="18px" height="18px">');
			} else {
				$('.btn_filter_user').html('<img src="{THEME}/dleimages/filter/filter-up.svg"  title="Скрыть фильтр" width="18px" height="18px">');
			}							
		});
		return false;
	});
});
[/script]


















