<!-- Рейтинг статей пользователя -->
<div class="relative overflow-hidden rounded-lg bg-white px-4 pt-5 pb-12 shadow sm:px-6 sm:pt-6 mb-5">
      <dt>
        <div class="absolute rounded-md bg-blue-50 p-3">
         <svg xmlns="http://www.w3.org/2000/svg" class="h-7 w-7 text-blue-600" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
           <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
           <path d="M16 6h3a1 1 0 0 1 1 1v11a2 2 0 0 1 -4 0v-13a1 1 0 0 0 -1 -1h-10a1 1 0 0 0 -1 1v12a3 3 0 0 0 3 3h11"></path>
           <path d="M8 8l4 0"></path>
           <path d="M8 12l4 0"></path>
          <path d="M8 16l4 0"></path>
        </svg>
		</div>
        <p class="ml-[70px] truncate text-base font-normal text-black">Рейтинг публикаций</p>
      </dt>
      <dd class="ml-[70px] flex items-baseline pb-6 sm:pb-7">
        <p class="text-2xl font-semibold text-gray-900 r-0">{rate}</p>
        
        <div class="absolute inset-x-0 bottom-0 bg-gray-50 px-4 py-4 sm:px-6">
          [news-num]
		  <div class="text-sm">
            <span class="flex font-normal text-black/[.6] hover:text-black">{news} 
			<svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 ml-2" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
             <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
             <path d="M5 12l14 0"></path>
             <path d="M15 16l4 -4"></path>
             <path d="M15 8l4 4"></path>
           </svg>
          </span>
          </div>
          [/news-num]
		</div>
      </dd>
</div>
 
<!-- Рейтинг комментариев пользователя -->
<div class="relative overflow-hidden rounded-lg bg-white px-4 pt-5 pb-12 shadow sm:px-6 sm:pt-6 mb-5">
      <dt>
        <div class="absolute rounded-md bg-orange-50 p-3">
         <svg xmlns="http://www.w3.org/2000/svg" class="h-7 w-7 text-orange-600" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
           <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
           <path d="M10.59 19.88a9.763 9.763 0 0 1 -2.89 -.88l-4.7 1l1.3 -3.9c-2.324 -3.437 -1.426 -7.872 2.1 -10.374c3.526 -2.501 8.59 -2.296 11.845 .48c1.565 1.335 2.479 3.065 2.71 4.861"></path>
           <path d="M18 22l3.35 -3.284a2.143 2.143 0 0 0 .005 -3.071a2.242 2.242 0 0 0 -3.129 -.006l-.224 .22l-.223 -.22a2.242 2.242 0 0 0 -3.128 -.006a2.143 2.143 0 0 0 -.006 3.071l3.355 3.296z"></path>
         </svg>
		</div>
        <p class="ml-[70px] truncate text-base font-normal text-black">Рейтинг комментариев</p>
      </dt>
      <dd class="ml-[70px] flex items-baseline pb-6 sm:pb-7">
       <p class="text-2xl font-semibold text-gray-900 r-0">{commentsrate}</p>
        
        <div class="absolute inset-x-0 bottom-0 bg-gray-50 px-4 py-4 sm:px-6">
          [comm-num]
		  <div class="text-sm">
            <span class="flex font-normal text-black/[.6] hover:text-black">{comments}
			<svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 ml-2" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
             <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
             <path d="M5 12l14 0"></path>
             <path d="M15 16l4 -4"></path>
             <path d="M15 8l4 4"></path>
           </svg>
          </span>
          </div>
		  [/comm-num]
        </div>
      </dd>
</div>



<!-- Блок внешних сайтов-->
<div class="bg-white rounded-lg shadow">
  <div class="px-4 py-5 sm:px-6">
    <h3 class="text-lg font-medium leading-6 text-gray-900">Внешние ссылки</h3>
  </div>
<div class="border-t border-gray-100 space-y-1 p-2 pb-4">

[xfgiven_site]
  <div class="relative group bg-white p-4">
    <div class="absolute">
      <span class="rounded-lg inline-flex p-2 bg-blue-50 text-[#282828] ring-4 ring-white border border-blue-100 group-hover:border-[#282828] group-hover:bg-[#282828] group-hover:text-white">
       <div class="relative">
       <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
          <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
          <path d="M19.5 7a9 9 0 0 0 -7.5 -4a8.991 8.991 0 0 0 -7.484 4"></path>
          <path d="M11.5 3a16.989 16.989 0 0 0 -1.826 4"></path>
          <path d="M12.5 3a16.989 16.989 0 0 1 1.828 4"></path>
          <path d="M19.5 17a9 9 0 0 1 -7.5 4a8.991 8.991 0 0 1 -7.484 -4"></path>
          <path d="M11.5 21a16.989 16.989 0 0 1 -1.826 -4"></path>
          <path d="M12.5 21a16.989 16.989 0 0 0 1.828 -4"></path>
          <path d="M2 10l1 4l1.5 -4l1.5 4l1 -4"></path>
          <path d="M17 10l1 4l1.5 -4l1.5 4l1 -4"></path>
          <path d="M9.5 10l1 4l1.5 -4l1.5 4l1 -4"></path>
        </svg>
	   </div>
	  </span>
    </div>
    <div class="flex ml-[60px] mt-1.5">
      <h3 class="text-lg font-medium">
        <a href="https://[xfvalue_site]" target="blank" class="focus:outline-none">
          <span class="absolute inset-0" aria-hidden="true"></span>
        Личный сайт
        </a>
      </h3>
    </div>
    <span class="pointer-events-none absolute top-8 right-5 fill-gray-300 group-hover:fill-gray-500" aria-hidden="true">
    <svg class="h-3 w-3" viewBox="0 0 1024.179 1063.18" xmlns="http://www.w3.org/2000/svg"><path d="M819.424 628.478l-62.85-63.074 121.072-120.628c35.44-35.456 57.358-84.43 57.358-138.522 0-108.218-87.728-195.946-195.946-195.946-54.126 0-103.126 21.945-138.588 57.424l-120.584 121.03-63.03-62.852 120.63-121.073c51.575-51.593 122.836-83.505 201.55-83.505 157.395 0 284.988 127.594 284.988 284.988 0 78.68-31.885 149.914-83.44 201.485h.002zm-534.412 416.72h-.135C127.544 1045.2 0 917.656 0 760.323c0-78.7 31.913-149.947 83.505-201.505l.002-.002 121.117-120.672 62.85 63.074-121.072 120.628c-35.44 35.456-57.358 84.43-57.358 138.522 0 108.218 87.728 195.946 195.946 195.946 54.126 0 103.126-21.945 138.588-57.424v-.002L544.163 777.86l63.074 62.85-120.628 121.074c-51.286 51.53-122.268 83.417-200.697 83.417h-.946.05zm46.16-268.095l-62.94-62.94 424.644-424.645 62.94 62.94z"/></svg>
	</span>
  </div>
[/xfgiven_site]
  
[xfgiven_vk]
  <div class="relative group bg-white p-4">
    <div class="absolute">
      <span class="rounded-lg inline-flex p-2 bg-blue-50 text-white ring-4 ring-white border border-blue-100 group-hover:border-[#0077ff] group-hover:bg-[#0077ff]">
       <div class="relative">
        <svg class="h-6 w-6 fill-[#0077ff] group-hover:fill-white" fill="none" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path clip-rule="evenodd" d="m23.4493 5.94799c.1668-.54645 0-.94799-.794-.94799h-2.6256c-.6676 0-.9754.34687-1.1423.72936 0 0-1.3353 3.19671-3.2268 5.27314-.6119.6011-.8901.7924-1.2239.7924-.1669 0-.4173-.1913-.4173-.7377v-5.10921c0-.65574-.1849-.94799-.7413-.94799h-4.12597c-.41719 0-.6681.30434-.6681.59278 0 .62163.94571.76499 1.04319 2.51363v3.79779c0 .8326-.15309.9836-.4869.9836-.89009 0-3.05525-3.21098-4.33939-6.88519-.25166-.71414-.50407-1.00261-1.1751-1.00261h-2.625612c-.750174 0-.900218.34687-.900218.72936 0 .68308.890141 4.07103 4.14464 8.55184 2.16965 3.06 5.22654 4.7188 8.00816 4.7188 1.669 0 1.8755-.3684 1.8755-1.003v-2.3128c0-.7368.1581-.8839.6866-.8839.3894 0 1.057.1913 2.6147 1.6667 1.7803 1.7486 2.0738 2.533 3.0751 2.533h2.6257c.7501 0 1.1252-.3684.9088-1.0955-.2368-.7246-1.0867-1.7759-2.2145-3.0222-.612-.7104-1.53-1.4754-1.8082-1.858-.3894-.4917-.2781-.7103 0-1.1474 0 0 3.199-4.42623 3.5328-5.92891z" fill-rule="evenodd"/></svg>
       </div>
	  </span>
    </div>
    <div class="flex ml-[60px] mt-1.5">
      <h3 class="text-lg font-medium">
        <a href="https://[xfvalue_vk]" target="blank" class="focus:outline-none">
          <span class="absolute inset-0" aria-hidden="true"></span>
        Вконтакте
        </a>
      </h3>
    </div>
    <span class="pointer-events-none absolute top-8 right-5 fill-gray-300 group-hover:fill-gray-500" aria-hidden="true">
    <svg class="h-3 w-3" viewBox="0 0 1024.179 1063.18" xmlns="http://www.w3.org/2000/svg"><path d="M819.424 628.478l-62.85-63.074 121.072-120.628c35.44-35.456 57.358-84.43 57.358-138.522 0-108.218-87.728-195.946-195.946-195.946-54.126 0-103.126 21.945-138.588 57.424l-120.584 121.03-63.03-62.852 120.63-121.073c51.575-51.593 122.836-83.505 201.55-83.505 157.395 0 284.988 127.594 284.988 284.988 0 78.68-31.885 149.914-83.44 201.485h.002zm-534.412 416.72h-.135C127.544 1045.2 0 917.656 0 760.323c0-78.7 31.913-149.947 83.505-201.505l.002-.002 121.117-120.672 62.85 63.074-121.072 120.628c-35.44 35.456-57.358 84.43-57.358 138.522 0 108.218 87.728 195.946 195.946 195.946 54.126 0 103.126-21.945 138.588-57.424v-.002L544.163 777.86l63.074 62.85-120.628 121.074c-51.286 51.53-122.268 83.417-200.697 83.417h-.946.05zm46.16-268.095l-62.94-62.94 424.644-424.645 62.94 62.94z"/></svg>
	</span>
  </div>
[/xfgiven_vk]
  
[xfgiven_telegram]
  <div class="relative group bg-white p-4">
    <div class="absolute">
      <span class="rounded-lg inline-flex p-2 bg-blue-50 text-gray-700 ring-4 ring-white border border-blue-100 group-hover:border-[#2AABEE] group-hover:bg-[#2AABEE]">
       <div class="relative">
        <svg class="h-6 w-6 fill-[#2AABEE] group-hover:fill-white" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="m16.114 9.291c.552-.552 1.1-1.84-1.2-.276-3.268 2.255-6.489 4.372-6.489 4.372a2.7 2.7 0 0 1 -2.117.046c-1.38-.414-2.991-.966-2.991-.966s-1.1-.691.783-1.427c0 0 7.961-3.267 10.722-4.418 1.058-.46 4.647-1.932 4.647-1.932s1.657-.645 1.519.92c-.046.644-.414 2.9-.782 5.338-.553 3.451-1.151 7.225-1.151 7.225s-.092 1.058-.874 1.242a3.787 3.787 0 0 1 -2.3-.828c-.184-.138-3.451-2.209-4.648-3.221a.872.872 0 0 1 .046-1.473c1.66-1.518 3.639-3.405 4.835-4.602z"/></svg>
		</div>
	  </span>
    </div>
    <div class="flex ml-[60px] mt-1.5">
      <h3 class="text-lg font-medium">
        <a href="https://[xfvalue_telegram]" target="blank" class="focus:outline-none">
          <span class="absolute inset-0" aria-hidden="true"></span>
        Telegram
        </a>
      </h3>
    </div>
    <span class="pointer-events-none absolute top-8 right-5 fill-gray-300 group-hover:fill-gray-500" aria-hidden="true">
    <svg class="h-3 w-3" viewBox="0 0 1024.179 1063.18" xmlns="http://www.w3.org/2000/svg"><path d="M819.424 628.478l-62.85-63.074 121.072-120.628c35.44-35.456 57.358-84.43 57.358-138.522 0-108.218-87.728-195.946-195.946-195.946-54.126 0-103.126 21.945-138.588 57.424l-120.584 121.03-63.03-62.852 120.63-121.073c51.575-51.593 122.836-83.505 201.55-83.505 157.395 0 284.988 127.594 284.988 284.988 0 78.68-31.885 149.914-83.44 201.485h.002zm-534.412 416.72h-.135C127.544 1045.2 0 917.656 0 760.323c0-78.7 31.913-149.947 83.505-201.505l.002-.002 121.117-120.672 62.85 63.074-121.072 120.628c-35.44 35.456-57.358 84.43-57.358 138.522 0 108.218 87.728 195.946 195.946 195.946 54.126 0 103.126-21.945 138.588-57.424v-.002L544.163 777.86l63.074 62.85-120.628 121.074c-51.286 51.53-122.268 83.417-200.697 83.417h-.946.05zm46.16-268.095l-62.94-62.94 424.644-424.645 62.94 62.94z"/></svg>
	</span>
  </div>
[/xfgiven_telegram]
  
[xfgiven_youtube]
 <div class="relative group bg-white p-4">
    <div class="absolute">
      <span class="rounded-lg inline-flex p-2 bg-blue-50 text-gray-700 ring-4 ring-white border border-blue-100 group-hover:border-[#FF0000] group-hover:bg-[#FF0000]">
       <div class="relative">
       <svg class="h-6 w-6 fill-[#FF0000] group-hover:fill-white" viewBox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="m549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597-42.59-11.486-213.371-11.486-213.371-11.486s-170.78 0-213.371 11.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821 42.591 11.486 213.371 11.486 213.371 11.486s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508v-162.406l142.739 81.205z"/></svg>
	   </div>
	  </span>
    </div>
    <div class="flex ml-[60px] mt-1.5">
      <h3 class="text-lg font-medium">
        <a href="https://[xfvalue_youtube]" target="blank" class="focus:outline-none">
          <span class="absolute inset-0" aria-hidden="true"></span>
        YouTube
        </a>
      </h3>
    </div>
    <span class="pointer-events-none absolute top-8 right-5 fill-gray-300 group-hover:fill-gray-500" aria-hidden="true">
    <svg class="h-3 w-3" viewBox="0 0 1024.179 1063.18" xmlns="http://www.w3.org/2000/svg"><path d="M819.424 628.478l-62.85-63.074 121.072-120.628c35.44-35.456 57.358-84.43 57.358-138.522 0-108.218-87.728-195.946-195.946-195.946-54.126 0-103.126 21.945-138.588 57.424l-120.584 121.03-63.03-62.852 120.63-121.073c51.575-51.593 122.836-83.505 201.55-83.505 157.395 0 284.988 127.594 284.988 284.988 0 78.68-31.885 149.914-83.44 201.485h.002zm-534.412 416.72h-.135C127.544 1045.2 0 917.656 0 760.323c0-78.7 31.913-149.947 83.505-201.505l.002-.002 121.117-120.672 62.85 63.074-121.072 120.628c-35.44 35.456-57.358 84.43-57.358 138.522 0 108.218 87.728 195.946 195.946 195.946 54.126 0 103.126-21.945 138.588-57.424v-.002L544.163 777.86l63.074 62.85-120.628 121.074c-51.286 51.53-122.268 83.417-200.697 83.417h-.946.05zm46.16-268.095l-62.94-62.94 424.644-424.645 62.94 62.94z"/></svg>
	</span>
  </div>
[/xfgiven_youtube]





  


  
</div>
</div>