<div class="p-4 bg-white border-t border-[#f4f4f4]">
  <div class="flex justify-between items-center mb-2 text-gray-500">

    <span title="{category}" class="!min-w-[20px] !max-w-[120px] inline-flex items-center rounded-full border border-muted-1 bg-muted-1 px-1.5 py-0.5 text-xs font-medium text-heading shadow-sm hover:bg-gray-50">
                      <a href="{category-url}" class="!line-clamp-1 text-clip overflow-hidden flex align-middle">
					  <svg xmlns="http://www.w3.org/2000/svg" class="inline-flex mb-0.5 !h-3 !w-3 text-green-500" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10 -10 10s-10 -4.477 -10 -10s4.477 -10 10 -10zm-6 9a1 1 0 0 0 -1 1a7 7 0 0 0 7 7a1 1 0 0 0 0 -2a5 5 0 0 1 -5 -5a1 1 0 0 0 -1 -1z" stroke-width="0" fill="currentColor" /></svg>
					  <span="inline-flex">{category}</span></a>
                  </span>

    <span class="text-xs">[day-news]{date}[/day-news]</span>
  </div>
  <h2 class="mb-2 text-base font-medium tracking-tight text-[#131313]  hover:text-black/[.72]"><a href="{full-link}">{title}</a></h2>

  <div class="flex justify-between items-center">
    <div class="flex items-center space-x-2">
      <img class="w-5 h-5 rounded-full cursor-pointer" src="{foto}" onclick="ShowProfile('{login}', '{profile-link}', '0'); return false;" title="Автор: {login}" />
      <span class="font-normal text-sm cursor-pointer hover:text-black/[.72]" src="{foto}" onclick="ShowProfile('{login}', '{profile-link}', '0'); return false;" title="Автор: {login}">
                          {login}
                      </span>
    </div>
    <span class="inline-flex items-center font-medium text-primary-600">
                      

                                  [not-group=5]
								   <div class="flex items-center space-x-0.5 mr-2">
								   
								    
									[add-favorites]
									<span title="Добавить в закладки">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" 
									class="p-[4px] rounded-full w-[24px] h-[24px] stroke-[#131313] opacity-[.72] hover:opacity-[1] hover:bg-yellow-100 hover:stroke-yellow-500">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M11.48 3.499a.562.562 0 011.04 0l2.125 5.111a.563.563 0 00.475.345l5.518.442c.499.04.701.663.321.988l-4.204 3.602a.563.563 0 00-.182.557l1.285 5.385a.562.562 0 01-.84.61l-4.725-2.885a.563.563 0 00-.586 0L6.982 20.54a.562.562 0 01-.84-.61l1.285-5.386a.562.562 0 00-.182-.557l-4.204-3.602a.563.563 0 01.321-.988l5.518-.442a.563.563 0 00.475-.345L11.48 3.5z" />
                                    </svg>
                                    </span> [/add-favorites] [del-favorites]

    <span title="Убрать из закладок">
									
									<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" 
									class="p-[4px] rounded-full w-[24px] h-[24px] fill-yellow-500 hover:bg-yellow-100">
                                    <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.007 5.404.433c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.433 2.082-5.006z" clip-rule="evenodd" />
                                    </svg>

									
									</span>[/del-favorites]

  </div>
  [/not-group] [rating-type-3]
  <div class="flex items-center space-x-0.5">
    [rating-plus]
    <div title="Лайк">

      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.2" stroke="currentColor" class="p-[4px] rounded-full w-[24px] h-[24px] stroke-[#131313] opacity-[.72] hover:opacity-[1] hover:bg-green-100 hover:stroke-green-600">
        <path stroke-linecap="round" stroke-linejoin="round" d="M21 8.25c0-2.485-2.099-4.5-4.688-4.5-1.935 0-3.597 1.126-4.312 2.733-.715-1.607-2.377-2.733-4.313-2.733C5.1 3.75 3 5.765 3 8.25c0 7.22 9 12 9 12s9-4.78 9-12z" />
      </svg>

    </div>
    [/rating-plus]
    <div class="font-semibold text-xs">{rating}</div>
  </div>
  [/rating-type-3]

  </span>
</div>
</div>